<?xml version="1.0" encoding="UTF-8"?>
<!--
Arrebol Consultancy copyright.

This code belongs to Arrebol Consultancy
its use, redistribution or modification are prohibited 
without written authorization from Arrebol Consultancy.
-->

<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.view.admin.ViewDailyCashByUser" 
           table="VIEW_DAILY_CASH_BY_USER" 
           catalog="crov_spa" mutable="false">
        <id name="id" type="string">
            <column name="id" length="36" />
        </id>
        <property name="totalSales" type="double">
            <column name="total_sales"/>
        </property>
        <property name="totalSanctionIn" type="double">
            <column name="total_sanctions_in"/>
        </property>
        <property name="totalExpenseIn" type="double">
            <column name="total_expenses_in"/>
        </property>
        <property name="totalSanctionOut" type="double">
            <column name="total_sanctions_out"/>
        </property>
        <property name="totalExpenseOut" type="double">
            <column name="total_expenses_out"/>
        </property>
        <property name="totalInvoice" type="double">
            <column name="total_invoices"/>
        </property>
        <property name="idLocation" type="string">
            <column name="id_location" length="36"/>
        </property>
    </class>
</hibernate-mapping>
